/* Dotted Decimal Entry
 *
 * Allows the user to enter an IPv4 dotted decimal address.
 */

#include "gtkmm.h"

#include <conexus-gtkmm.h>

class Example_DottedDecimalEntry : public Gtk::Window
{
  public:
    Example_DottedDecimalEntry();
    virtual ~Example_DottedDecimalEntry();

  protected:
    /* Member widgets */
    Conexus::Gtk::DottedDecimalEntry m_DottedDecimalEntry;
};

/* Called by DemoWindow */
Gtk::Window* do_DottedDecimalEntry()
{
  return new Example_DottedDecimalEntry();
}

Example_DottedDecimalEntry::Example_DottedDecimalEntry()
{

  set_title("Dotted Decimal Entry");
  set_border_width(10);

  this->add( m_DottedDecimalEntry );

  show_all();
}

Example_DottedDecimalEntry::~Example_DottedDecimalEntry()
{
}

