/* Endpoint Start/Stop Button
 *
 * Provides a button that can start/stop a Conexus Endpoint.
 */

#include "gtkmm.h"

#include <conexus-gtkmm.h>

class Example_EndpointStartStopButton : public Gtk::Window
{
  public:
    Example_EndpointStartStopButton();
    virtual ~Example_EndpointStartStopButton();

  protected:
    /* Member widgets */
    Conexus::Gtk::EndpointStartStopButton m_EndpointStartStopButton;
};

/* Called by DemoWindow */
Gtk::Window* do_EndpointStartStopButton()
{
  return new Example_EndpointStartStopButton();
}

Example_EndpointStartStopButton::Example_EndpointStartStopButton()
{

  set_title("Endpoint Stop/Start Button");
  set_border_width(10);

  this->add( m_EndpointStartStopButton );

  show_all();
}

Example_EndpointStartStopButton::~Example_EndpointStartStopButton()
{
}

