/* Network ComboBox
 *
 * Allows the user to select available networking devices.
 *
 * This widget uses libhal to discover the current network devices available on the machine.
 */

#include "gtkmm.h"

#include <conexus-gtkmm.h>

class Example_NetComboBox : public Gtk::Window
{
  public:
    Example_NetComboBox();
    virtual ~Example_NetComboBox();

  protected:
    /* Member widgets */
    Conexus::Gtk::NetComboBox m_NetComboBox;
};

/* Called by DemoWindow */
Gtk::Window* do_NetComboBox()
{
  return new Example_NetComboBox();
}

Example_NetComboBox::Example_NetComboBox()
{

  set_title("Net ComboBox");
  set_border_width(10);

  this->add( m_NetComboBox );

  show_all();
}

Example_NetComboBox::~Example_NetComboBox()
{
}
