/* TTY Parity ComboBox
 *
 * Allows the user to set the parity error checking on a TTY endpoint.
 */

#include "gtkmm.h"

#include <conexus-gtkmm.h>

class Example_TTYParityComboBox : public Gtk::Window
{
  public:
    Example_TTYParityComboBox();
    virtual ~Example_TTYParityComboBox();

  protected:
    /* Member widgets */
    Conexus::Gtk::TTYParityComboBox m_TTYParityComboBox;
};

/* Called by DemoWindow */
Gtk::Window* do_TTYParityComboBox()
{
  return new Example_TTYParityComboBox();
}

Example_TTYParityComboBox::Example_TTYParityComboBox()
{

  set_title("TTY Parity ComboBox");
  set_border_width(10);

  this->add( m_TTYParityComboBox );

  show_all();
}

Example_TTYParityComboBox::~Example_TTYParityComboBox()
{
}

