/* TTY Speed Combobox
 *
 * Allows the user to set the speed associated with a TTY endpoint.
 */

#include "gtkmm.h"

#include <conexus-gtkmm.h>

class Example_TTYSpeedComboBox : public Gtk::Window
{
  public:
    Example_TTYSpeedComboBox();
    virtual ~Example_TTYSpeedComboBox();

  protected:
    /* Member widgets */
    Conexus::Gtk::TTYSpeedComboBox m_TTYSpeedComboBox;
};

/* Called by DemoWindow */
Gtk::Window* do_TTYSpeedComboBox()
{
  return new Example_TTYSpeedComboBox();
}

Example_TTYSpeedComboBox::Example_TTYSpeedComboBox()
{

  set_title("TTY Speed ComboBox");
  set_border_width(10);

  this->add( m_TTYSpeedComboBox );

  show_all();
}

Example_TTYSpeedComboBox::~Example_TTYSpeedComboBox()
{
}

