/* TTY Stop Bits Radio Buttons
 *
 * Allows the user to set the stop bits associated with a TTY endpoint.
 *
 */

#include "gtkmm.h"

#include <conexus-gtkmm.h>

class Example_TTYStopBitsRadio : public Gtk::Window
{
  public:
    Example_TTYStopBitsRadio();
    virtual ~Example_TTYStopBitsRadio();

  protected:
    /* Member widgets */
    Conexus::Gtk::TTYStopBitsRadio m_TTYStopBitsRadio;
};

/* Called by DemoWindow */
Gtk::Window* do_TTYStopBitsRadio()
{
  return new Example_TTYStopBitsRadio();
}

Example_TTYStopBitsRadio::Example_TTYStopBitsRadio()
{

  set_title("TTY Stop Bits Radio Buttons");
  set_border_width(10);

  this->add( m_TTYStopBitsRadio );

  show_all();
}

Example_TTYStopBitsRadio::~Example_TTYStopBitsRadio()
{
}

