/***************************************************************************
 *   Copyright (C) 2001 by Rick L. Vinyard, Jr.                            *
 *   rvinyard@cs.nmsu.edu                                                  *
 *                                                                         *
 *   This file is part of the conexus library.                             *
 *                                                                         *
 *   The conexus library is free software; you can redistribute it and/or  *
 *   modify it under the terms of the GNU General Public License           *
 *   version 3 as published by the Free Software Foundation.               *
 *                                                                         *
 *   The conexus library is distributed in the hope that it will be        *
 *   useful, but WITHOUT ANY WARRANTY; without even the implied warranty   *
 *   of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU   *
 *   General Public License for more details.                              *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this software. If not see <http://www.gnu.org/licenses/>.  *
 ***************************************************************************/
#ifndef CONEXUSNSPRUTILITY_H
#define CONEXUSNSPRUTILITY_H

#include <nspr.h>

#include <conexus/ipv4_address.h>


namespace Conexus
{

  namespace NSPR
  {

    typedef enum NSPRFileMode {
      FILE_SYNC=Conexus::FILE_LAST_STATE,
    } NSPRFileMode;

    void init ( bool use_dispatcher_default = false );

    bool initialized();

    void finalize();

    void addr_to_nspr ( const Address& conexusaddr, PRNetAddr& nspraddr );


  }

}

#endif
