/* Factory ComboBox
 *
 * Presents all factory createable objects in a combobox.
 */

#include "gtkmm.h"

#include <conexus-gtkmm.h>

class Example_FactoryComboBox : public Gtk::Window
{
  public:
    Example_FactoryComboBox();
    virtual ~Example_FactoryComboBox();

  protected:
    /* Member widgets */
    Conexus::Gtk::FactoryComboBox m_FactoryComboBox;
};

/* Called by DemoWindow */
Gtk::Window* do_FactoryComboBox()
{
  return new Example_FactoryComboBox();
}

Example_FactoryComboBox::Example_FactoryComboBox()
{

  set_title("Factory ComboBox");
  set_border_width(10);

  this->add( m_FactoryComboBox );

  show_all();
}

Example_FactoryComboBox::~Example_FactoryComboBox()
{
}

