/* Serial ComboBox
 *
 * Allows the user to set the serial port device associated with a serial endpoint.
 *
 * This widget uses libhal to discover the current serial ports available on the machine.
 */

#include "gtkmm.h"

#include <conexus-gtkmm.h>

class Example_SerialComboBox : public Gtk::Window
{
  public:
    Example_SerialComboBox();
    virtual ~Example_SerialComboBox();

  protected:
    /* Member widgets */
    Conexus::Gtk::SerialComboBox m_SerialComboBox;
};

/* Called by DemoWindow */
Gtk::Window* do_SerialComboBox()
{
  return new Example_SerialComboBox();
}

Example_SerialComboBox::Example_SerialComboBox()
{

  set_title("Serial ComboBox");
  set_border_width(10);

  this->add( m_SerialComboBox );

  show_all();
}

Example_SerialComboBox::~Example_SerialComboBox()
{
}
