/* TTY Byte Size Radio Buttons
 *
 * Allows the user to set the byte size associated with a TTY endpoint.
 */

#include "gtkmm.h"

#include <conexus-gtkmm.h>

class Example_TTYByteSizeRadio : public Gtk::Window
{
  public:
    Example_TTYByteSizeRadio();
    virtual ~Example_TTYByteSizeRadio();

  protected:
    /* Member widgets */
    Conexus::Gtk::TTYByteSizeRadio m_TTYByteSizeRadio;
};

/* Called by DemoWindow */
Gtk::Window* do_TTYByteSizeRadio()
{
  return new Example_TTYByteSizeRadio();
}

Example_TTYByteSizeRadio::Example_TTYByteSizeRadio()
{

  set_title("TTY Byte Size Radio");
  set_border_width(10);

  this->add( m_TTYByteSizeRadio );

  show_all();
}

Example_TTYByteSizeRadio::~Example_TTYByteSizeRadio()
{
}

