/* TTY Flow Control ComboBox
 *
 * Allows the user to set the flow control mechanism on a TTY endpoint.
 */

#include "gtkmm.h"

#include <conexus-gtkmm.h>

class Example_TTYFlowControlComboBox : public Gtk::Window
{
  public:
    Example_TTYFlowControlComboBox();
    virtual ~Example_TTYFlowControlComboBox();

  protected:
    /* Member widgets */
    Conexus::Gtk::TTYFlowControlComboBox m_TTYFlowControlComboBox;
};

/* Called by DemoWindow */
Gtk::Window* do_TTYFlowControlComboBox()
{
  return new Example_TTYFlowControlComboBox();
}

Example_TTYFlowControlComboBox::Example_TTYFlowControlComboBox()
{

  set_title("TTY Flow Control ComboBox");
  set_border_width(10);

  this->add( m_TTYFlowControlComboBox );

  show_all();
}

Example_TTYFlowControlComboBox::~Example_TTYFlowControlComboBox()
{
}

