/* TTY Parity Error ComboBox
 *
 * Allows the user to set the behavior when parity errors are detected on a TTY endpoint.
 */

#include "gtkmm.h"

#include <conexus-gtkmm.h>

class Example_TTYParityErrorComboBox : public Gtk::Window
{
  public:
    Example_TTYParityErrorComboBox();
    virtual ~Example_TTYParityErrorComboBox();

  protected:
    /* Member widgets */
    Conexus::Gtk::TTYParityErrorComboBox m_TTYParityErrorComboBox;
};

/* Called by DemoWindow */
Gtk::Window* do_TTYParityErrorComboBox()
{
  return new Example_TTYParityErrorComboBox();
}

Example_TTYParityErrorComboBox::Example_TTYParityErrorComboBox()
{

  set_title("TTY Parity Error ComboBox");
  set_border_width(10);

  this->add( m_TTYParityErrorComboBox );

  show_all();
}

Example_TTYParityErrorComboBox::~Example_TTYParityErrorComboBox()
{
}

